'use strict';

/** @type {import('sequelize-cli').Migration} */
module.exports = {
  async up(queryInterface, Sequelize) {

    await queryInterface.bulkInsert('TestedBeers', [
      {
        id: 1,
        name: 'Hoppy Haze',
        abv: 7.2,
        ibu: 60,
        rating: 4.3,
        description: 'Hoppy Haze is a flavorful beer with a perfect blend of hop bitterness and citrus aroma. This craft beer is sure to delight your taste buds.',
        styleId: 30,
        breweryId: 12,
        userId: 1,
        createdAt: '2023-01-10T14:30:00Z',
        updatedAt: '2023-01-12T09:45:00Z'
      },
      {
        id: 2,
        name: 'Roasted Stout',
        abv: 6.8,
        ibu: 50,
        rating: 4.5,
        description: 'Indulge in the rich flavors of Roasted Stout, a dark and velvety beer with hints of chocolate and coffee. Perfect for chilly evenings.',
        styleId: 32,
        breweryId: 45,
        userId: 1,
        createdAt: '2023-02-05T18:15:00Z',
        updatedAt: '2023-02-08T11:20:00Z'
      },
      {
        id: 3,
        name: 'Crafty Amber',
        abv: 5.5,
        ibu: 40,
        rating: 4.0,
        description: 'Crafty Amber is a well-balanced beer with a smooth maltiness and a touch of caramel sweetness. It\'s a delightful choice for any craft beer enthusiast.',
        styleId: 31,
        breweryId: 33,
        userId: 1,
        createdAt: '2023-03-18T10:20:00Z',
        updatedAt: '2023-03-20T15:45:00Z'
      },
      {
        id: 4,
        name: 'Golden Wheat',
        abv: 4.8,
        ibu: 30,
        rating: 3.9,
        description: 'Golden Wheat is a light and crisp beer with a hint of citrus. Perfect for sunny days, this wheat beer is a refreshing choice for beer enthusiasts.',
        styleId: 34,
        breweryId: 21,
        userId: 1,
        createdAt: '2023-04-05T08:55:00Z',
        updatedAt: '2023-04-08T14:10:00Z'
      },
      {
        id: 5,
        name: 'Imperial IPA',
        abv: 8.2,
        ibu: 90,
        rating: 4.7,
        description: 'Imperial IPA is a bold and hoppy beer with a high alcohol content. Enjoy the intense flavors of citrus, pine, and floral notes in every sip.',
        styleId: 30,
        breweryId: 58,
        userId: 1,
        createdAt: '2023-05-12T17:30:00Z',
        updatedAt: '2023-05-15T09:25:00Z'
      },
      {
        id: 6,
        name: 'Belgian Tripel',
        abv: 9.0,
        ibu: 35,
        rating: 4.6,
        description: 'Belgian Tripel is a strong and fruity ale with a complex flavor profile. Notes of banana, clove, and a hint of spice make this beer a true delight.',
        styleId: 35,
        breweryId: 76,
        userId: 2,
        createdAt: '2023-06-25T12:40:00Z',
        updatedAt: '2023-06-28T18:15:00Z'
      },
      {
        id: 7,
        name: 'Session Pale',
        abv: 4.0,
        ibu: 25,
        rating: 3.8,
        description: 'Session Pale is a light and easy-drinking beer with a lower alcohol content. Perfect for extended sessions with friends, this beer is a crowd-pleaser.',
        styleId: 31,
        breweryId: 12,
        userId: 1,
        createdAt: '2023-07-15T21:55:00Z',
        updatedAt: '2023-07-18T10:30:00Z'
      },
      {
        id: 8,
        name: 'Citrus Saison',
        abv: 6.5,
        ibu: 45,
        rating: 4.2,
        description: 'Citrus Saison is a farmhouse ale with a burst of citrus flavors. The combination of fruity esters and a hint of spice creates a unique and refreshing beer.',
        styleId: 32,
        breweryId: 45,
        userId: 1,
        createdAt: '2023-08-20T14:25:00Z',
        updatedAt: '2023-08-22T19:50:00Z'
      },
      {
        id: 9,
        name: 'Amber Ale',
        abv: 5.0,
        ibu: 35,
        rating: 3.9,
        description: 'Amber Ale is a classic American ale with a rich amber color and a balanced malt profile. It\'s a go-to beer for those who appreciate traditional brewing styles.',
        styleId: 31,
        breweryId: 21,
        userId: 1,
        createdAt: '2023-09-10T08:15:00Z',
        updatedAt: '2023-09-12T12:40:00Z'
      },
      {
        id: 10,
        name: 'Honey Brown',
        abv: 6.0,
        ibu: 25,
        rating: 4.0,
        description: 'Honey Brown is a smooth and sweet beer with a touch of honey. The maltiness and gentle sweetness make it a delightful choice for any occasion.',
        styleId: 34,
        breweryId: 33,
        userId: 1,
        createdAt: '2023-10-05T19:40:00Z',
        updatedAt: '2023-10-08T14:55:00Z'
      },
      {
        id: 11,
        name: 'Sour Citrus Burst',
        abv: 4.2,
        ibu: 20,
        rating: 4.1,
        description: 'Sour Citrus Burst is a tangy and refreshing beer that combines the zest of citrus fruits with a subtle sourness. A delightful burst of flavor in every sip.',
        styleId: 31,
        breweryId: 35,
        userId: 1,
        createdAt: '2023-07-28T11:30:00Z',
        updatedAt: '2023-07-31T08:45:00Z'
      },
      {
        id: 12,
        name: 'Honey Wheat Ale',
        abv: 5.5,
        ibu: 25,
        rating: 4.0,
        description: 'Honey Wheat Ale is a light and smooth beer with a touch of sweetness from natural honey. Enjoy the golden hue and the subtle floral aroma.',
        styleId: 35,
        breweryId: 50,
        userId: 1,
        createdAt: '2023-08-12T15:50:00Z',
        updatedAt: '2023-08-15T10:35:00Z'
      },
      {
        id: 13,
        name: 'Imperial IPA',
        abv: 9.0,
        ibu: 80,
        rating: 4.5,
        description: 'Imperial IPA is a bold and hop-forward beer with a higher alcohol content. Expect intense hop flavors and a strong malt backbone in this imperial delight.',
        styleId: 30,
        breweryId: 75,
        userId: 1,
        createdAt: '2023-08-28T18:20:00Z',
        updatedAt: '2023-08-31T13:15:00Z'
      },
      {
        id: 14,
        name: 'Caramel Brown Ale',
        abv: 6.3,
        ibu: 30,
        rating: 4.3,
        description: 'Caramel Brown Ale is a smooth and malty beer with a delightful caramel sweetness. The rich flavor profile makes it a comforting choice for any occasion.',
        styleId: 34,
        breweryId: 5,
        userId: 1,
        createdAt: '2023-09-10T09:45:00Z',
        updatedAt: '2023-09-12T06:30:00Z'
      },
      {
        id: 15,
        name: 'Session Pale Ale',
        abv: 4.0,
        ibu: 35,
        rating: 4.2,
        description: 'Session Pale Ale is a light and easy-drinking beer with a lower alcohol content, making it perfect for extended sessions. A balanced and flavorful choice.',
        styleId: 31,
        breweryId: 23,
        userId: 1,
        createdAt: '2023-09-25T14:15:00Z',
        updatedAt: '2023-09-28T11:10:00Z'
      },
      {
        id: 16,
        name: 'Belgian Dubbel',
        abv: 7.5,
        ibu: 25,
        rating: 4.4,
        description: 'Belgian Dubbel is a rich and complex beer with a deep malt character and fruity undertones. Savor the exquisite flavors of this Belgian-style delight.',
        styleId: 35,
        breweryId: 65,
        userId: 2,
        createdAt: '2023-10-10T20:40:00Z',
        updatedAt: '2023-10-13T15:35:00Z'
      },
      {
        id: 17,
        name: 'Citra Session IPA',
        abv: 4.8,
        ibu: 40,
        rating: 4.1,
        description: 'Citra Session IPA is a hoppy and aromatic beer with the distinctive citrus notes of Citra hops. A light and refreshing choice for hop enthusiasts.',
        styleId: 30,
        breweryId: 42,
        userId: 3,
        createdAt: '2023-10-25T11:05:00Z',
        updatedAt: '2023-10-28T08:20:00Z'
      },
      {
        id: 18,
        name: 'Oak-Aged Barleywine',
        abv: 11.0,
        ibu: 65,
        rating: 4.6,
        description: 'Indulge in the richness of Oak-Aged Barleywine, a strong ale with complex flavors of caramel, toffee, and a subtle oakiness. A true delight for beer connoisseurs.',
        styleId: 32,
        breweryId: 18,
        userId: 1,
        createdAt: '2023-11-07T17:30:00Z',
        updatedAt: '2023-11-10T12:25:00Z'
      },
      {
        id: 19,
        name: 'Ginger Spice Saison',
        abv: 6.2,
        ibu: 30,
        rating: 4.3,
        description: 'Ginger Spice Saison is a unique and spicy beer with the zing of ginger and a hint of black pepper. A perfect choice for those who enjoy adventurous flavors.',
        styleId: 35,
        breweryId: 28,
        userId: 1,
        createdAt: '2023-11-20T22:50:00Z',
        updatedAt: '2023-11-23T18:05:00Z'
      },
      {
        id: 20,
        name: 'Cherry Kriek',
        abv: 7.0,
        ibu: 20,
        rating: 4.2,
        description: 'Cherry Kriek is a delightful fruit beer with the sweet and tart flavors of cherries. The subtle acidity and vibrant red color make it a visually appealing choice.',
        styleId: 34,
        breweryId: 90,
        userId: 1,
        createdAt: '2023-12-05T14:10:00Z',
        updatedAt: '2023-12-08T09:55:00Z'
      },
      {
        id: 21,
        name: 'Citrus Squeeze',
        abv: 4.5,
        ibu: 40,
        rating: 5.0,
        description: 'Citrus Squeeze is a light and citrusy beer that offers a refreshing taste with a hint of grapefruit. Perfect for a sunny day.',
        styleId: 31,
        breweryId: 30,
        userId: 1,
        createdAt: '2023-03-15T12:45:00Z',
        updatedAt: '2023-03-17T08:30:00Z'
      },
      {
        id: 22,
        name: 'Citrus Squeeze',
        abv: 4.5,
        ibu: 40,
        rating: 3.5,
        description: 'Citrus Squeeze is a light and citrusy beer that offers a refreshing taste with a hint of grapefruit. Perfect for a sunny day.',
        styleId: 31,
        breweryId: 30,
        userId: 3,
        createdAt: '2023-03-15T12:45:00Z',
        updatedAt: '2023-03-17T08:30:00Z'
      },
      {
        id: 23,
        name: 'Citrus Squeeze',
        abv: 4.5,
        ibu: 40,
        rating: 4.0,
        description: 'Citrus Squeeze is a light and citrusy beer that offers a refreshing taste with a hint of grapefruit. Perfect for a sunny day.',
        styleId: 31,
        breweryId: 30,
        userId: 2,
        createdAt: '2023-03-15T12:45:00Z',
        updatedAt: '2023-03-17T08:30:00Z'
      },
      {
        id: 24,
        name: 'Amber Ale',
        abv: 5.7,
        ibu: 35,
        rating: 4.2,
        description: 'Amber Ale is a well-balanced beer with a malty sweetness and a touch of caramel. Enjoy the warmth of this amber-colored brew.',
        styleId: 34,
        breweryId: 55,
        userId: 2,
        createdAt: '2023-04-02T16:20:00Z',
        updatedAt: '2023-04-05T09:55:00Z'
      },
      {
        id: 25,
        name: 'Wheat Harmony',
        abv: 5.3,
        ibu: 25,
        rating: 4.1,
        description: 'Wheat Harmony is a smooth and easy-drinking wheat beer with a hint of citrus. Perfect for those who appreciate a light and flavorful brew.',
        styleId: 35,
        breweryId: 10,
        userId: 3,
        createdAt: '2023-04-18T14:10:00Z',
        updatedAt: '2023-04-20T10:25:00Z'
      },
      {
        id: 26,
        name: 'Oatmeal Stout',
        abv: 6.0,
        ibu: 45,
        rating: 4.4,
        description: 'Indulge in the velvety goodness of Oatmeal Stout, a dark and rich beer with a creamy texture and notes of roasted coffee and chocolate.',
        styleId: 32,
        breweryId: 21,
        userId: 1,
        createdAt: '2023-05-05T19:30:00Z',
        updatedAt: '2023-05-08T14:15:00Z'
      },
      {
        id: 27,
        name: 'Summer Breeze',
        abv: 4.8,
        ibu: 30,
        rating: 4.2,
        description: 'Summer Breeze is a light and fruity beer that captures the essence of summer with its crisp and refreshing taste. Ideal for warm days.',
        styleId: 30,
        breweryId: 42,
        userId: 1,
        createdAt: '2023-05-22T11:50:00Z',
        updatedAt: '2023-05-25T08:35:00Z'
      },
      {
        id: 28,
        name: 'Rye IPA',
        abv: 7.0,
        ibu: 65,
        rating: 4.3,
        description: 'Rye IPA is a bold and spicy beer with a strong hop presence. The rye malt adds a distinctive character to this flavorful and aromatic brew.',
        styleId: 30,
        breweryId: 65,
        userId: 1,
        createdAt: '2023-06-10T15:15:00Z',
        updatedAt: '2023-06-13T09:40:00Z'
      },
      {
        id: 29,
        name: 'Belgian Tripel',
        abv: 8.5,
        ibu: 30,
        rating: 4.6,
        description: 'Indulge in the complexity of Belgian Tripel, a strong and fruity ale with a touch of spice. This beer is perfect for sipping and savoring.',
        styleId: 35,
        breweryId: 18,
        userId: 1,
        createdAt: '2023-06-25T17:40:00Z',
        updatedAt: '2023-06-28T12:25:00Z'
      },
      {
        id: 30,
        name: 'Smoked Porter',
        abv: 6.2,
        ibu: 40,
        rating: 4.4,
        description: 'Smoked Porter is a robust and flavorful beer with a smoky aroma and a rich malt profile. Perfect for those who enjoy bold and distinctive brews.',
        styleId: 32,
        breweryId: 80,
        userId: 2,
        createdAt: '2023-07-12T20:05:00Z',
        updatedAt: '2023-07-15T15:10:00Z'
      },
      {
        id: 31,
        name: 'Crisp Pilsner',
        abv: 5.0,
        ibu: 30,
        rating: 3.8,
        description: 'Crisp Pilsner is a refreshing and light beer with a clean finish. Perfect for those who enjoy a smooth and easy-drinking brew.',
        styleId: 35,
        breweryId: 72,
        userId: 1,
        createdAt: '2023-11-20T21:10:00Z',
        updatedAt: '2023-11-22T13:55:00Z'
      }
    ]);
    await queryInterface.sequelize.query(`select setval('"TestedBeers_id_seq"', (select max(id) from public."TestedBeers"), true);`);
  },

  async down(queryInterface, Sequelize) {
    const Op = Sequelize.Op
    await queryInterface.bulkDelete('TestedBeers', {id: {[Op.between] : [1, 31]}}, {});
  }
};
